# $Id: mjpegtools.spec,v 1.3 2003/01/11 22:43:19 dude Exp $

Summary: Tools for recording, editing, playing and encoding mpeg video.
Name: mjpegtools
Version: 1.6.1
Release: fr3
License: GPL
URL: http://mjpeg.sourceforge.net/
Group: Applications/Multimedia
Source0: http://prdownloads.sourceforge.net/mjpeg/mjpegtools-%{version}.tar.gz
Source1: http://prdownloads.sourceforge.net/mjpeg/quicktime4linux-1.4-patched-2.tar.gz
Source2: http://prdownloads.sourceforge.net/mjpeg/libmovtar-0.1.3.tar.gz
Source3: http://prdownloads.sourceforge.net/mjpeg/jpeg-mmx-0.1.4.tar.gz
BuildRoot: %{_tmppath}/%{name}-root-%{version}
Requires: SDL, libjpeg, libpng, gtk+, libdv
%{?_with_avifile:Requires: avifile}
BuildRequires: SDL-devel, libjpeg-devel, libpng-devel, gtk+-devel, libdv-devel
%{?_with_avifile:BuildRequires: avifile-devel}
%ifarch %{ix86}
BuildRequires: nasm
%endif

%description
The MJPEG-tools are a basic set of utilities for recording, editing, 
playing back and encoding (to mpeg) video under linux. Recording can
be done with zoran-based MJPEG-boards (LML33, Iomega Buz, Pinnacle
DC10(+), Marvel G200/G400), these can also playback video using the
hardware. With the rest of the tools, this video can be edited and
encoded into mpeg1/2 or divx video.

Available rpmbuild rebuild options :
--with : avifile


%package devel
Summary: Development headers and libraries for the mjpegtools.
Group: Development/Libraries

%description devel
This package contains static libraries and C system header files
needed to compile applications that use part of the libraries
of the mjpegtools package.


%prep
%setup -q -a 1 -a 2 -a 3
mv jpeg-mmx-* jpeg-mmx
mv quicktime4linux-* quicktime4linux
mv libmovtar-* libmovtar

%build
(cd jpeg-mmx && %configure)
make -C jpeg-mmx libjpeg-mmx.a

(cd quicktime4linux && %configure)
make -C quicktime4linux

(cd libmovtar && ./configure \
  --prefix="`pwd`/../libmovtar-root" \
  --with-jpeg-mmx="`pwd`/../jpeg-mmx" )
make -C libmovtar
make -C libmovtar install

(cd libmovtar && make clean && %configure \
  --with-jpeg-mmx="`pwd`/../jpeg-mmx" )
make -C libmovtar

%configure \
  --enable-large-file \
  --enable-cmov-extension \
  --with-jpeg-mmx="`pwd`/jpeg-mmx" \
  --with-quicktime="`pwd`/quicktime4linux" \
  --with-movtar-prefix="`pwd`/libmovtar-root"
make

%install
rm -rf %{buildroot}
make -C libmovtar DESTDIR="%{buildroot}" install
%makeinstall

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS BUGS CHANGES COPYING HINTS PLANS README TODO
%{?_with_avifile:%{_bindir}/divxdec}
%{_bindir}/glav
%{_bindir}/jpeg2yuv
%{_bindir}/lav*
%{_bindir}/movtar_*
%{_bindir}/mp*
%{_bindir}/pnm2rtj
%{_bindir}/ppm*
%{_bindir}/rtjshow
%{_bindir}/testrec
%{_bindir}/y4m*
%{_bindir}/ypipe
%{_bindir}/yuv*
%{_bindir}/*.flt
%{_libdir}/*.so.*
%{_mandir}/man1/*
%{_mandir}/man5/*

%files devel
%{_bindir}/*-config
%{_includedir}/mjpegtools/*.h
%{_includedir}/movtar.h
%{_datadir}/aclocal/*.m4
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so

%changelog
* Sat Jan 11 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Changed avifile to be disabled by default.

* Wed Dec 11 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Spec file cleanup.

* Wed May 20 2002 Thomas Vander Stichele <thomas@apestaart.org>
- Added BuildRequires and Requires

* Tue Feb 12 2002 Geoffrey T. Dairiki <dairiki@dairiki.org>
- Fix spec file to build in one directory, etc...

* Thu Dec 06 2001 Ronald Bultje <rbultje@ronald.bitfreak.net>
- separated mjpegtools and mjpegtools-devel
- added changes by Marcel Pol <mpol@gmx.net> for cleaner RPM build

* Wed Jun 06 2001 Ronald Bultje <rbultje@ronald.bitfreak.net>
- 1.4.0-final release, including precompiled binaries (deb/rpm)

